<?php

require_once ('../../../../../../wp-load.php');
global $bp, $wpdb;

ob_end_clean();
ob_clean();

    if ($_GET['normalizeUser']) {
        
        $data = array(
                        'is_admin' => '0'
                    );
        
        $where = array(
                        'user_id'  => $_POST['userId'],
                        'event_id' => $_POST['eventId']
        );
        
        $result = $wpdb->update( 'wp_jet_events_members', $data, $where );
        
        if ( is_wp_error( $result ) ) {
            $error_string = $result->get_error_message();
            echo '<div id="message" class="error"><p>' . $error_string . '</p></div>';
        }
        
    }
    
    if ($_GET['bannedUser']) {
        
        $data = array(
                        'is_admin'  => '0',
                        'is_banned' => '1',
                        'user_title' => ''
        );
        
        $where = array(
                        'user_id'  => $_POST['userId'],
                        'event_id' => $_POST['eventId']
        );
        
        $result = $wpdb->update( 'wp_jet_events_members', $data, $where );
        
        if ( is_wp_error( $result ) ) {
            $error_string = $result->get_error_message();
            echo '<div id="message" class="error"><p>' . $error_string . '</p></div>';
        }
    }
    
    if ($_GET['admiUser']) {
        
        $data = array(
                    'is_admin'   => '1',
                    'is_banned'  => '0',
                    'user_title' => 'Admin de Evento'
        );
        
        $where = array(
                        'user_id'  => $_POST['userId'],
                        'event_id' => $_POST['eventId']
        );
        
        $result = $wpdb->update( 'wp_jet_events_members', $data, $where );
        
        if ( is_wp_error( $result ) ) {
            $error_string = $result->get_error_message();
            echo '<div id="message" class="error"><p>' . $error_string . '</p></div>';
        }
    }
    
    if ($_GET['userNoBanned']) {
        
        $data = array(
                        'is_admin'  => '0',
                        'is_banned' => '0',
                        'user_title' => ''
        );
        
        $where = array(
                        'user_id'  => $_POST['userId'],
                        'event_id' => $_POST['eventId']
        );
        
        $result = $wpdb->update( 'wp_jet_events_members', $data, $where );
        
        if ( is_wp_error( $result ) ) {
            $error_string = $result->get_error_message();
            echo '<div id="message" class="error"><p>' . $error_string . '</p></div>';
        }
    }
?>